# Interface BoolValue

A boolean value

#### Category

Elementary types

#### Hierarchy

- BoolValue

- Defined in codec/lib/format/elementary.ts:76

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/elementary.ts:82

### kind

kind: "value"

- Defined in codec/lib/format/elementary.ts:78

### type

type: BoolType

- Defined in codec/lib/format/elementary.ts:77

### value

value: {
asBoolean: boolean;
}

#### Type declaration

- ##### asBoolean: boolean

- Defined in codec/lib/format/elementary.ts:79

Generated using TypeDoc